//+------------------------------------------------------------------+
//|                                                  LongOnlyExp.mq4 |
//|                      Copyright  2007, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright  2007, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"

extern double Lots = 1;
extern double LotsRatio = 0.05;
extern int Tp = 1;
extern int Sl = 20;
extern int Lookback = 20;

//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+
int init()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
int start()
  {
//----
 
   static bool allow_buy = false;
   
   static double l = 0;
   
   if (TimeDayOfWeek(Time[0]) != 0 && 
            TimeDay(Time[0]) != TimeDay(Time[1]))
   {
      allow_buy = true;
      l = Low[iLowest(NULL, 0, MODE_LOW, Lookback, 0)];
   }            
   
   
   if (allow_buy && Close[0] > l && Low[1] < l)
   {
      double sl = 0;
      double tp = 0;
      if (Sl > 0) sl = Ask - Sl * Point;
      if (Tp > 0) tp = Ask + Tp * Point;
      
      double lr = Lots * LotsRatio;
      OrderSend(Symbol(), OP_BUY, lr, Ask, 0, 0, 0, "", 0, 0, Blue);
      OrderSend(Symbol(), OP_BUY, Lots, Ask, 0, sl, tp, "", 0, 0, Blue);
      allow_buy = false;
   }
   
   
//----
   return(0);
  }
//+------------------------------------------------------------------+